<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>17.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{C09AE419-8FDD-4312-B023-55DC1ED18A73}</ProjectGuid>
    <RootNamespace>V2GDecoder</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;_WIN32;__STDC_NO_VLA__;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <CompileAs>CompileAsC</CompileAs>
      <AdditionalIncludeDirectories>..\src;..\src\codec;..\src\iso1;..\src\iso2;..\src\din;..\src\appHandshake;..\src\transport;..\src\xmldsig;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;_WIN32;__STDC_NO_VLA__;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <CompileAs>CompileAsC</CompileAs>
      <AdditionalIncludeDirectories>..\src;..\src\codec;..\src\iso1;..\src\iso2;..\src\din;..\src\appHandshake;..\src\transport;..\src\xmldsig;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;_WIN32;__STDC_NO_VLA__;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <CompileAs>CompileAsC</CompileAs>
      <AdditionalIncludeDirectories>..\src;..\src\codec;..\src\iso1;..\src\iso2;..\src\din;..\src\appHandshake;..\src\transport;..\src\xmldsig;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <CompileAs>CompileAsC</CompileAs>
      <AdditionalIncludeDirectories>..\src;..\src\codec;..\src\iso1;..\src\iso2;..\src\din;..\src\appHandshake;..\src\transport;..\src\xmldsig;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\V2GDecoder.c" />
    <ClCompile Include="..\src\codec\BitInputStream.c" />
    <ClCompile Include="..\src\codec\BitOutputStream.c" />
    <ClCompile Include="..\src\codec\ByteStream.c" />
    <ClCompile Include="..\src\codec\DecoderChannel.c" />
    <ClCompile Include="..\src\codec\EncoderChannel.c" />
    <ClCompile Include="..\src\codec\EXIHeaderDecoder.c" />
    <ClCompile Include="..\src\codec\EXIHeaderEncoder.c" />
    <ClCompile Include="..\src\codec\MethodsBag.c" />
    <ClCompile Include="..\src\iso1\iso1EXIDatatypes.c" />
    <ClCompile Include="..\src\iso1\iso1EXIDatatypesDecoder.c" />
    <ClCompile Include="..\src\iso1\iso1EXIDatatypesEncoder.c" />
    <ClCompile Include="..\src\appHandshake\appHandEXIDatatypes.c" />
    <ClCompile Include="..\src\appHandshake\appHandEXIDatatypesDecoder.c" />
    <ClCompile Include="..\src\appHandshake\appHandEXIDatatypesEncoder.c" />
    <ClCompile Include="..\src\iso2\iso2EXIDatatypes.c" />
    <ClCompile Include="..\src\iso2\iso2EXIDatatypesDecoder.c" />
    <ClCompile Include="..\src\iso2\iso2EXIDatatypesEncoder.c" />
    <ClCompile Include="..\src\din\dinEXIDatatypes.c" />
    <ClCompile Include="..\src\din\dinEXIDatatypesDecoder.c" />
    <ClCompile Include="..\src\din\dinEXIDatatypesEncoder.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\src\codec\BitInputStream.h" />
    <ClInclude Include="..\src\codec\BitOutputStream.h" />
    <ClInclude Include="..\src\codec\ByteStream.h" />
    <ClInclude Include="..\src\codec\DecoderChannel.h" />
    <ClInclude Include="..\src\codec\EncoderChannel.h" />
    <ClInclude Include="..\src\codec\EXIConfig.h" />
    <ClInclude Include="..\src\codec\EXIHeaderDecoder.h" />
    <ClInclude Include="..\src\codec\EXIHeaderEncoder.h" />
    <ClInclude Include="..\src\codec\EXIOptions.h" />
    <ClInclude Include="..\src\codec\EXITypes.h" />
    <ClInclude Include="..\src\codec\MethodsBag.h" />
    <ClInclude Include="..\src\codec\ErrorCodes.h" />
    <ClInclude Include="..\src\iso1\iso1EXIDatatypes.h" />
    <ClInclude Include="..\src\iso1\iso1EXIDatatypesDecoder.h" />
    <ClInclude Include="..\src\iso1\iso1EXIDatatypesEncoder.h" />
    <ClInclude Include="..\src\appHandshake\appHandEXIDatatypes.h" />
    <ClInclude Include="..\src\appHandshake\appHandEXIDatatypesDecoder.h" />
    <ClInclude Include="..\src\appHandshake\appHandEXIDatatypesEncoder.h" />
    <ClInclude Include="..\src\iso2\iso2EXIDatatypes.h" />
    <ClInclude Include="..\src\iso2\iso2EXIDatatypesDecoder.h" />
    <ClInclude Include="..\src\iso2\iso2EXIDatatypesEncoder.h" />
    <ClInclude Include="..\src\din\dinEXIDatatypes.h" />
    <ClInclude Include="..\src\din\dinEXIDatatypesDecoder.h" />
    <ClInclude Include="..\src\din\dinEXIDatatypesEncoder.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>